#
# spec file for package libkgapi
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libkgapi
Version:        5.3.1
Release:        1.1
Summary:        Extension for accessing your Google data
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source0:        http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= 5.17.0
BuildRequires:  kf5-filesystem
BuildRequires:  cmake(KF5CalendarCore) >= 5.2.80
BuildRequires:  cmake(KF5Contacts) >= 5.2.80
BuildRequires:  cmake(KF5CoreAddons) >= 5.17.0
BuildRequires:  cmake(KF5KIO) >= 5.17.0
BuildRequires:  cmake(KF5WindowSystem) >= 5.17.0
BuildRequires:  cmake(Qt5Core) >= 5.4.0
BuildRequires:  cmake(Qt5LinguistTools) >= 5.4.0
BuildRequires:  cmake(Qt5WebKitWidgets) >= 5.4.0
BuildRequires:  cmake(Qt5Widgets) >= 5.4.0
BuildRequires:  cmake(Qt5Xml) >= 5.4.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKF5GAPIBlogger5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE
Recommends:     %{name}-lang = %{version}

%description -n libKF5GAPIBlogger5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKF5GAPICalendar5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE
Recommends:     %{name}-lang = %{version}

%description -n libKF5GAPICalendar5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKF5GAPIContacts5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE
Recommends:     %{name}-lang = %{version}

%description -n libKF5GAPIContacts5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKF5GAPICore5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE
Recommends:     %{name}-lang = %{version}

%description -n libKF5GAPICore5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKF5GAPIDrive5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE
Recommends:     %{name}-lang = %{version}

%description -n libKF5GAPIDrive5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKF5GAPILatitude5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE
Recommends:     %{name}-lang = %{version}

%description -n libKF5GAPILatitude5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKF5GAPIMaps5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE
Recommends:     %{name}-lang = %{version}

%description -n libKF5GAPIMaps5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKF5GAPITasks5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE
Recommends:     %{name}-lang = %{version}

%description -n libKF5GAPITasks5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package devel
Summary:        KDE PIM Libraries: Build Environment
Group:          Development/Libraries/KDE
Requires:       kcalcore-devel
Requires:       kcontacts5-devel
Requires:       kcoreaddons-devel
Requires:       libKF5GAPIBlogger5 = %{version}
Requires:       libKF5GAPICalendar5 = %{version}
Requires:       libKF5GAPIContacts5 = %{version}
Requires:       libKF5GAPICore5 = %{version}
Requires:       libKF5GAPIDrive5 = %{version}
Requires:       libKF5GAPILatitude5 = %{version}
Requires:       libKF5GAPIMaps5 = %{version}
Requires:       libKF5GAPITasks5 = %{version}
Obsoletes:      libkgapi5-devel < %{version}
Provides:       libkgapi5-devel = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop KDE PIM applications.

%package lang 
Summary:        Languages for package %{name}
Group:          System/Localization
BuildArch:      noarch

%description lang
Provides translations to the package %{name}


%prep
%setup -q -n libkgapi-%{version}

%build
  %cmake_kf5 -d build -- -DBUILD_TESTING=ON
  %make_jobs

%install
  %kf5_makeinstall -C build
  %find_lang libkgapi_qt --with-qt --all-name

%post -n libKF5GAPIBlogger5 -p /sbin/ldconfig

%postun -n libKF5GAPIBlogger5 -p /sbin/ldconfig

%post -n libKF5GAPICalendar5 -p /sbin/ldconfig

%postun -n libKF5GAPICalendar5 -p /sbin/ldconfig

%post -n libKF5GAPIContacts5 -p /sbin/ldconfig

%postun -n libKF5GAPIContacts5 -p /sbin/ldconfig

%post -n libKF5GAPICore5 -p /sbin/ldconfig

%postun -n libKF5GAPICore5 -p /sbin/ldconfig

%post -n libKF5GAPIDrive5 -p /sbin/ldconfig

%postun -n libKF5GAPIDrive5 -p /sbin/ldconfig

%post -n libKF5GAPILatitude5 -p /sbin/ldconfig

%postun -n libKF5GAPILatitude5 -p /sbin/ldconfig

%post -n libKF5GAPIMaps5 -p /sbin/ldconfig

%postun -n libKF5GAPIMaps5 -p /sbin/ldconfig

%post -n libKF5GAPITasks5 -p /sbin/ldconfig

%postun -n libKF5GAPITasks5 -p /sbin/ldconfig

%files -n libKF5GAPIBlogger5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKF5GAPIBlogger.so.*

%files -n libKF5GAPICalendar5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKF5GAPICalendar.so.*

%files -n libKF5GAPIContacts5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKF5GAPIContacts.so.*

%files -n libKF5GAPICore5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKF5GAPICore.so.*
%{_kf5_configdir}/libkgapi.categories

%files -n libKF5GAPIDrive5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKF5GAPIDrive.so.*

%files -n libKF5GAPILatitude5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKF5GAPILatitude.so.*

%files -n libKF5GAPIMaps5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKF5GAPIMaps.so.*

%files -n libKF5GAPITasks5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKF5GAPITasks.so.*

%files devel
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKF5GAPIBlogger.so
%{_kf5_libdir}/libKF5GAPICalendar.so
%{_kf5_libdir}/libKF5GAPIContacts.so
%{_kf5_libdir}/libKF5GAPICore.so
%{_kf5_libdir}/libKF5GAPIDrive.so
%{_kf5_libdir}/libKF5GAPILatitude.so
%{_kf5_libdir}/libKF5GAPIMaps.so
%{_kf5_libdir}/libKF5GAPITasks.so
%{_kf5_includedir}/
%{_kf5_libdir}/cmake/KF5GAPI/
%{_kf5_mkspecsdir}/qt_KGAPIBlogger.pri
%{_kf5_mkspecsdir}/qt_KGAPICalendar.pri
%{_kf5_mkspecsdir}/qt_KGAPIContacts.pri
%{_kf5_mkspecsdir}/qt_KGAPICore.pri
%{_kf5_mkspecsdir}/qt_KGAPIDrive.pri
%{_kf5_mkspecsdir}/qt_KGAPILatitude.pri
%{_kf5_mkspecsdir}/qt_KGAPIMaps.pri
%{_kf5_mkspecsdir}/qt_KGAPITasks.pri

%files lang -f libkgapi_qt.lang
%defattr(-,root,root,-)

%changelog
* Fri Sep 30 2016 fabian@ritter-vogt.de
- Update to 5.3.1
  * No changelog provided
* Sun Aug 21 2016 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * No changelog provided
* Sun Jan 17 2016 tittiatcoke@gmail.com
- Update to 5.1.0
  * KDE Frameworks 5 based version. (boo#953617)
* Sat Aug 16 2014 tittiatcoke@gmail.com
- Update to 2.2.0
  * Final release
* Fri Jul 11 2014 cgiboudeaux@gmx.com
- Update to 2.1.80
  * Added Blogger API
* Tue Apr 29 2014 hrvoje.senjan@gmail.com
- Update to 2.1.1
  * Bugfix release, no changelog provided
* Tue Mar 11 2014 hrvoje.senjan@gmail.com
- Update to 2.1.0
  * Added support for Google Drive API v2
- Dropped 0001-When-fetching-last-contact-photo-fails-don-t-fail-th.patch,
  merged upstream
- Drop libkgapi1, libkgapi1-devel and libkgapi2-devel packages, per
  upstream changes
* Fri Dec  6 2013 hrvoje.senjan@gmail.com
- Update to 2.0.2
  * Add support for Microsoft Standard Time Zones
  * Respect calendar-wide timezones
- Added 0001-When-fetching-last-contact-photo-fails-don-t-fail-th.patch,
  for resolving kde#328422, where the synchronization of google resource
  could fail of contact wouldn't have a photo
* Fri Jun 14 2013 hrvoje.senjan@gmail.com
- Add missing %%files section for devel package
* Sat Jun  1 2013 hrvoje.senjan@gmail.com
- Update to 2.0.1
  * Fixed new account authentication with legacy API
* Fri May 24 2013 hrvoje.senjan@gmail.com
- Update to 2.0.0
  * new LibKGAPI 2 API, breaks ABI, old API is preserved
  * new job-based API that deprecates the old one. It is cleaner,
    more flexible and much easier to use
- Obsolete libkgapi0
- Add new libkgapi-devel package which depends on both libkgapi1-devel
  and libkgapi2-devel, until we can depend purely on libkgapi2-devel
- Drop usage of fdupes
* Wed Dec 19 2012 nico.kruber@gmail.com
- Update to 0.4.4
  * fixed kde#309314 - Contacts with XML-unsafe characters not stored
  * fixed kde#309318 - Support custom IM protocols
  * fixed kde#310177 - Support birthday dates without year specified
  * fixed kde#310851 - Handle Microsoft TZIDs
* Tue Oct 23 2012 cgiboudeaux@gmx.com
- Update to 0.4.3
  * Fix kde#307719 - Don't duplicate instances detached from a recurrent event
  * Fix kde#308462 - Don't emit authentication success when it actually fails
  * fixed a typo in calendar parser that caused all calendars to have read-only flag
* Wed Oct 10 2012 nico.kruber@gmail.com
- remove self-obsoletes
- also obsolete akonadi-google
  (changes come from KR49, mainly attributed to toddrme2178@gmail.com)
* Tue Sep 11 2012 cgiboudeaux@gmx.com
- Add libkgapi. A Library to access some Google data.
  It is a build requirement for kdepim-runtime > 4.9
